%global sum A Modbus Protocol Stack in Python
%global desc Pymodbus is a full Modbus protocol implementation using twisted for its \
asynchronous communications core. \
\
The library currently supports the following: \
\
Client Features \
\
    * Full read/write protocol on discrete and register \
    * Most of the extended protocol (diagnostic/file/pipe/setting/information) \
    * TCP, UDP, Serial ASCII, Serial RTU, and Serial Binary \
    * asynchronous(powered by twisted) and synchronous versions \
    * Payload builder/decoder utilities \
\
Server Features \
\
    * Can function as a fully implemented Modbus server \
    * TCP, UDP, Serial ASCII, Serial RTU, and Serial Binary \
    * asynchronous(powered by twisted) and synchronous versions \
    * Full server control context (device information, counters, etc) \
    * A number of backing contexts (database, redis, a slave device)

Name: pymodbus
Version: 1.3.1
Release: 3%{?dist}
Summary: %{sum}

Group: Development/Languages
License: BSD
URL: https://github.com/riptideio/pymodbus
Source0: https://github.com/riptideio/pymodbus/archive/v%{version}.tar.gz
# to avoid packaging ez_setup
Patch0: pymodbus-1.3.1-remove-ez_setup.patch
BuildArch: noarch
BuildRequires: python2-devel python3-devel

%description
%{desc}


%package -n python2-%{name}
Summary: %{sum}
%{?python_provide:%python_provide python2-%{name}}
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < %{version}-%{release}

BuildRequires: python2-setuptools
Requires: python2-twisted >= 12.2.0
Requires: pyserial >= 2.6

%description -n python2-%{name}
%{desc}


%package -n python3-%{name}
Summary: %{sum}
%{?python_provide:%python_provide python3-%{name}}

BuildRequires: python3-setuptools
Requires: python3-twisted >= 12.2.0
Requires: python3-pyserial >= 2.6

%description -n python3-%{name}
%{desc}


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .no_ez_setup

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%{__rm} -rf $RPM_BUILD_ROOT%{python2_sitelib}/test
%{__rm} -rf $RPM_BUILD_ROOT%{python3_sitelib}/test

# install LICENSE and Changelog
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}
%{__install} -p doc/LICENSE %{buildroot}%{_docdir}/%{name}
%{__install} -p CHANGELOG.rst %{buildroot}%{_docdir}/%{name}/CHANGELOG

%files -n python2-%{name}
%license %{_docdir}/%{name}/LICENSE
%doc %{_docdir}/%{name}/CHANGELOG
%{python2_sitelib}/*

%files -n python3-%{name}
%license %{_docdir}/%{name}/LICENSE
%doc %{_docdir}/%{name}/CHANGELOG
%{python3_sitelib}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Tomas Hozza <thozza@redhat.com> - 1.3.1-1
- Updated project and source URL, the original was redirected
- Updated to the latest upstream release 1.3.1
- Provide Python3 version of the package
- Install LICENSE and CHANGELOG
- Removed Requires on nosetest as tests are not shipped

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 09 2015 Christian Krause <chkr@fedoraproject.org> - 1.2.0-1
- Update to new upstream release 1.2.0
- Add patch to avoid installation of ez_setup
- Change URL and Source URL
- Adjust requirements

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9.0-7
- Replace the python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Christian Krause <chkr@fedoraproject.org> - 0.9.0-1
- Initial Spec file

